libzypp 17.37.10

Gettext.h File Reference
`#include <zypp/Globals.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::gettext

## Macros
#define | N_(MSG)
#define | _(MSG)
#define | PL_(MSG1, MSG2, N)

## Functions
const char * | zypp::gettext::dgettext (const char *msgid) ZYPP_API
| Return translated text.
const char * | zypp::gettext::dngettext (const char *msgid1, const char *msgid2, unsigned long n) ZYPP_API
| Return translated text (plural form).

## Macro Definition Documentation

## ◆ N_

#define N_ | ( |  | MSG | ) |

Value:
MSG

Definition at line 36 of file Gettext.h.

## ◆ _

#define _ | ( |  | MSG | ) |

Value:
::gettext( MSG )

Definition at line 39 of file Gettext.h.

## ◆ PL_

#define PL_ | ( |  | MSG1,
|  |  | MSG2,
|  |  | N )

Value:
::ngettext( MSG1, MSG2, N )

Definition at line 42 of file Gettext.h.